Reklam

* E Posta Adresiniz:
* Kodu Girin:

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] > 10 < [15] [20] [25] [30] [35] [39] Sonraki Sayfa
İleti Yazar
18.10.2009 21:28
52610    
Harbi65

[10] Üstad

Online Durumu

413 ileti
İnş.Tekn. Teknik Ressam
KASTAMONU

Arkadaşlar ilgilenip cevap yazdığınız için hepinizede ayrı ayrı teşekkür ederim...

şimdi bi sorum daha olacak..
lisp ile başka bir lispi nasıl .fas yapabiliriz?

19.10.2009 01:06
52612    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Hayırdır Harbi65 virütik faaliyetler mi var )

Genel format: (vlisp-compile 'mode filename [outfilename]) şeklinde

Örnek: (vlisp-compile 'st "deneme.lsp") gibi... bu komutla \support klasöründe deneme.fas dosyasını elde edersin...

Where there is a will, there is a way... Beğenmek için anlamak lazım...

25.10.2009 12:34
52777    
Harbi65

[10] Üstad

Online Durumu

413 ileti
İnş.Tekn. Teknik Ressam
KASTAMONU

Bloğun içinde ki nesnelerin koordinatlarını, bloğun çizimde bulunduğu yere göre nesnelerin koordinatlarını nasıl buluruz?
Datalara ulaşıyorum ama koordinatları bloğu oluşturduğumuz koordinatlar olarak veriyor...

07.12.2009 01:05
53769    
seyhan-22

[2] Girişimci

Online Durumu

6 ileti
inş. müh.
adana

mrb


ekrandan bir nesne seçtirip
bu nesnenin koordinatını bulup
1) bu koordinata en yakın texti nasıl seçtirebiliriz

2) bu koordinada belirli mesafedeki texti nasıl seçtirebilirirz

teşekkürler

14.12.2009 22:57
54022    
Harbi65

[10] Üstad

Online Durumu

413 ileti
İnş.Tekn. Teknik Ressam
KASTAMONU

VIEWSIZE ile ekran oranı alıyoruz. Bu noktada kafam biraz karıştı...
1024/768 ekranda ayarladığım bir görüntü, laptop ekranı basık olduğu için farklı görünüyor. Yani ayarladığım gibi olmuyor... Bu durumda ekran farkını oranını nasıl ayarlarız?
Umarım soruyu anlatabilmişimdir...


CEVAP:
(getvar "SCREENSIZE") oranı ile ayarlıyoruz...


Harbi65 (15.12.2009 00:32 GMT)

18.12.2009 15:52
54126    
id

[2] Girişimci

Online Durumu

14 ileti
mühendis
diyarbakır

Arkadaşlar autolisp konusunda hiç birşey bilmiyorum. Ancak sürekli yapmam gereken bir iş lazım oldu. Konu şu:

Çizim içinde aynı "layer"deki "text"lerin bazılarını justify özelliğini her üstüne tıklamada

1- Bottom center
2- Top center

yapabileceğim bir lisp yazılması mümkün mü?

NOT:Lisp hem bottom center hem de top center seçeneği sunmalı. Yani lispi çalıştırdığımda Bottom center veya Top center seçeneği sağlamalı...

* Bir konu daha xyz koordinatlarından z koordinatını sfır yapacak bir lispe ihtiyacım var


Herkese şimdiden teşekkürler....


id (18.12.2009 16:03 GMT)

23.12.2009 02:15
54254    
Harbi65

[10] Üstad

Online Durumu

413 ileti
İnş.Tekn. Teknik Ressam
KASTAMONU

Farklı Radio_button'a tıkladıkca, aynı yerde değişen vector_image görüntülüyorum.
Radio_button'lara tıkladıkca görüntü değişiyor fakat önceki görüntü kalıyor... Yani sonra çıkan görüntü öncekinin üzerinde çıkıyor.. Sanki Redraw yapmak gerekiyor... Burda Redraw yapılır mı? Veya benzer bi işlem mi yapmak gerekiyor?
slide_image yaptığımda normal çalışıyor...

23.12.2009 11:32
54261    
ehya

[90] Yönetici

Online Durumu

3181 ileti
Teknik Ressam
Ankara

her vector_image başına redraw komutunu eklemeyi denermisin?

23.12.2009 11:56
54264    
Harbi65

[10] Üstad

Online Durumu

413 ileti
İnş.Tekn. Teknik Ressam
KASTAMONU

Ehya;
Denemiştim ama faydası olmadı... Redrawı başka biyerde mi uygulamalı acaba bilemedim...

30.12.2009 01:10
54512    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

harbi65 hocam,
Yeni bir vector_image'e geçmeden, (fill_image x1 y1 width height color) komutunu kullanabilirsiniz.
color değeri aşağıdaki gibi negatif değerler alabiliyor;
-2 O andaki AutoCAD zemin rengi (AutoCAD background color)
-15 Diyalog kutusu zemin rengi (current diyalog box background color)
-16 Diyalog kutusu yazı rengi (current diyalog box foreground color)
-18 diyalog kutusu çizgi rengi (current diyalog box line color)
kullanılabilir...


ProhibiT (05.01.2010 21:35 GMT)

Where there is a will, there is a way... Beğenmek için anlamak lazım...

19.01.2010 07:22
54926    
kemalizmir3535

[1] Yeni üye

Online Durumu

10 ileti
harita teknikeri
izmir

iyi günler, sizden yardımınızı istediğim konu, excelden veya txt.den autocade attığım noktaların nokta adlarının görünmesini sağlayan bir lsp programına ihtiyacım var. yardımcı olursanız sevinirim. şimdiden çok teşekkürler


ehya (19.01.2010 09:50 GMT)

19.01.2010 11:26
54934    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

merhaba kemalizmir3535

Aynı konudaki mesajınızı değişik başlıklar altında okudum, aslında soru net olmadığı için yeterince anlaşılamıyor ve haliyle cevap verilemiyor. Biraz daha açıklayıcı bilgiler olursa yardımcı olacaklar çıkacaktır.

Excel veya Text dosyasından noktaları AutoCAD'e aktardığınız ifade ediyorsunuz. Demek ki belli bir formatta Nokta Koordinatlarıyla birlikte Nokta Adları da yazılı söz konusu dosyada...

Yalnızca koordinatlardan oluşan dosyadaki noktaları AutoCAD ortamına aktarılması görece daha basit elbette. İşin içine nokta numaraları da girince kavramlar değişiyor.

Dosyanızın içerdiği bilgiler ve formatı, mesela; "P123,1256.32,770.40,0.00" gibi mi? yoksa nasıl?

Bunu netleştirirseniz sizin probleminize çözüm getirecek pek çok arkadaş çıkacaktır

Kolay Gelsin...

Where there is a will, there is a way... Beğenmek için anlamak lazım...

19.01.2010 17:54
54954    
cngzklc

[5] Uzman

Online Durumu

53 ileti
İnşaat Teknik Ressamı (Çelik Konsrüksiyon)
Bursa

Merhaba Arkadaşlar.
Ben Autolisp'i öğrenmek istiyorum ve nasıl başlangıç yapabilirim.Mantığı nasıl?
Ayrıca aşağıda örnek olarak verdiğim komutlar, döngüler vb. anlamları ney.
Autolisp'e ait tüm komutların, döngülerin bulunduğu açıklamalı bir döküman var mı?

setq : ?
nil: ?
princ: ?
while: ?
alert: ?.............gibi

kolay gelsin.


cngzklc (19.01.2010 18:25 GMT)

19.01.2010 18:33
54957    
ehya

[90] Yönetici

Online Durumu

3181 ileti
Teknik Ressam
Ankara

Download --> Autolisp bölümünde Türkçe Autolisp Kitabı adıyla döküman mevcuttur.

20.01.2010 15:26
54987    
kemalizmir3535

[1] Yeni üye

Online Durumu

10 ileti
harita teknikeri
izmir

iyi günler, öncelikle mesajımı değerlendirdiğiniz için çok teşekkür ederim. excel veya text.den autocade aktardığım noktaların nokta adlarının görünmesini istiyorum. autocade aktardığım nokta dataları n.no, y,x ve kot olarak aktarıyorum (örnek=p23,1256.32,770.40,0.00).çok teşekkür ederim. kolay gelsin

Lütfen mesajlarınızı küçük harfle yazınız...


ehya (20.01.2010 15:40 GMT)

21.01.2010 14:53
55014    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Merhaba kemalizmir3535,
Kod:

(defun c:noks ()
  (setvar "cmdecho" 0)
  (setq giris (getfiled "Nokta Giris Kütüğü" "c:\" "" 2)
        f (open giris "r") txh (* (getvar "dimscale") (getvar "dimtxt")))
  (while (setq satir (read-line f))
    (setq l (strlen satir) n 1)
    (while (/= (substr satir n 1) ",") (setq n (1+ n)))
    (setq nokno (substr satir 1 (- n 1)) n (1+ n) m n)
    (while (/= (substr satir n 1) ",") (setq n (1+ n)))
    (setq koorx (atof (substr satir m (- (- n 1) m))) n (1+ n) m n)
    (while (/= (substr satir n 1) ",") (setq n (1+ n)))
    (setq koory (atof (substr satir m (- (- n 1) m)))
          koorz (atof (substr satir (+ n 1) (- l n))))
    (entmake
      (list
        (cons 0 "TEXT") (cons 1 nokno) (cons 40 txh) (cons 50 0.0) (cons 72 4)
        (cons 10 (list koorx koory koorz)) (cons 11 (list koorx koory koorz))))
    (entmake (list (cons 0 "POINT") (cons 10 (list koorx koory koorz))))
  )
  (prin1)
)

Bu fonksiyonun ihtiyacınızı karşılayacağını umuyorum.
Gene eksik bilgi sebebiyle yorum yapmak zorunda kaldım.
Text dosyasından AutoCAD'e nokta aktarmaktan kastınız, koordinatları belli noktaya "POINT" objesi koymak mı? Böyle olduğunu kabul edip Nokta numaralarını da, ilgili koordinata ortalayarak (Mid Point) yazdırdım. Zaten nokta adı koordinatı tanımlıyor Point objesine ihtiyacım yok derseniz;
;;;(entmake (list (cons 0 "POINT") (cons 10 (list koorx koory koorz))))
şeklinde bu satırın başına 3 tane noktalı virgül ekleyiverirseniz Point oluşturmaz.

Kolay Gelsin...


ProhibiT (21.01.2010 16:26 GMT)

Where there is a will, there is a way... Beğenmek için anlamak lazım...

01.06.2010 13:24
57741    
naci_emr

[1] Yeni üye

Online Durumu

6 ileti
serbest
istanbul

arkadaşlar birden fazla kapalı polylineları alanlarını otomatik hesaplayan lisp arıyoru......yani 50 tane kapalı polylinım var bunların toplam alanlarını hesaplayan lisp....şimdiden teşekkür ederim...

06.06.2010 21:28
57817    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Kod:

(defun c:pLa ()
  (setq pLns (ssget (list (cons 0 "LWPOLYLINE"))) L (sslength plns) m 0 aLan 0)
  (while (< m L)
    (if (= 1 (cdr (assoc 70 (entget (ssname pLns m)))))
      (progn (command "area" "e" (ssname pLns m)) (setq aLan (+ aLan (getvar "area")))))
    (setq m (1+ m)))
  (princ (strcat "\nAlan: " (rtos aLan))) (princ)
)


Not:
- Kapalı (Closed) olmayan PolyLine'lar alan hesabına katılmaz.
- Herhangi bir birim çevirmesi yapılmaz, Toplam Alan birim² olarak yazılır.


ProhibiT (15.08.2012 21:19 GMT)

Where there is a will, there is a way... Beğenmek için anlamak lazım...

31.07.2010 18:32
58803    
CAN123

[8] Kıdemli Uzman

Online Durumu

119 ileti
Teknik Ressam
ANKARA

Alıntı
ehya :
Autolisp ile ilgili tüm sorularınızı bu konu altından sorabilirsiniz.



Merhaba,

Mevcut olan dairelerin içerisine yeni daireler ekletmemiz mümkünmü? örnek verecek olursam Ø24 dairelerin hepsine Ø18 daire ekletmek yada aynı şekilde Ø30 dairelerin hepsine Ø22 daire ekletmek gibi.

yardımcı olabilirmisiniz. teşekkurler...

31.07.2010 18:55
58804    
ehya

[90] Yönetici

Online Durumu

3181 ileti
Teknik Ressam
Ankara

Alıntı
CAN123 :
Merhaba,

Mevcut olan dairelerin içerisine yeni daireler ekletmemiz mümkünmü? örnek verecek olursam Ø24 dairelerin hepsine Ø18 daire ekletmek yada aynı şekilde Ø30 dairelerin hepsine Ø22 daire ekletmek gibi.
yardımcı olabilirmisiniz. teşekkurler...





Kod:

(defun c:ekle ()
(setq e-cap (getreal "\nSeçilecek dairelerin yarıçapı:"))
(setq y-cap (getreal "\nEklenecek dairelerin yarıçapı:"))
  (setq secim (ssget (list (cons 0 "CIRCLE")(cons 40 e-cap))))
  (if (= secim nil)
    (progn)
    (progn
      (command "_.select" secim "")
    (setq c 0)
    (setq say (sslength secim))
    (while (< c say)
      (setq tek (ssname secim c))
      (setq merkez (cdr (assoc 10 (entget tek))))
      (setq katman (cdr (assoc 8 (entget tek))))
      (setq yc-liste (list
       (cons 0 "CIRCLE")
       (cons 8 katman)
       (cons 10 merkez)
       (cons 40 y-cap)))
      (entmake yc-liste)
      (setq c (+ c 1)))))
  (princ))

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] > 10 < [15] [20] [25] [30] [35] [39] Sonraki Sayfa
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 685 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam